summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormschubert2015-06-12 12:08:51 +0100
committermschubert2015-06-12 12:08:51 +0100
commitb1829b4603b9f0ddc20b44d952ac5b2ead9c31a3 (patch)
tree5375cefff261125fb833c07feb5950cc39171608
downloadaur-b1829b4603b9f0ddc20b44d952ac5b2ead9c31a3.tar.gz
Initial import
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD51
2 files changed, 67 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..959f71ca3b4
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = cellprofiler-analyst-git
+ pkgdesc = Analysis software for cellular images
+ pkgver = 20121017
+ pkgrel = 1
+ url = http://www.cellprofiler.org/
+ arch = i686
+ arch = x86_64
+ license = GPLv2
+ makedepends = git
+ makedepends = python2-distribute
+ depends = cellprofiler-git
+ provides = cellprofiler-analyst
+ conflicts = cellprofiler-analyst
+
+pkgname = cellprofiler-analyst-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..61bd72a9126
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,51 @@
+# Maintainer: Michael Schubert <mschu.dev at gmail>
+
+pkgname=cellprofiler-analyst-git
+pkgver=20121017
+pkgrel=1
+pkgdesc="Analysis software for cellular images"
+arch=('i686' 'x86_64')
+url="http://www.cellprofiler.org/"
+license=('GPLv2')
+depends=('cellprofiler-git')
+makedepends=('git' 'python2-distribute')
+provides=('cellprofiler-analyst')
+conflicts=('cellprofiler-analyst')
+
+_gitroot="git://github.com/CellProfiler/CellProfiler-Analyst.git"
+_gitname="CellProfiler-Analyst"
+
+build() {
+ cd "$srcdir"
+
+ msg "Connecting to GIT server...."
+
+ if [ -d $_gitname ] ; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot $_gitname
+ fi
+
+ cd "$srcdir/$_gitname/cpa"
+
+ CP_HOME=/usr/lib/python2.7/site-packages/cellprofiler python2 setup.py build
+}
+
+package() {
+ cd "$srcdir/$_gitname"
+ pydir=`python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"`
+
+mkdir -p "$pkgdir/usr/bin"
+cat > "$pkgdir/usr/bin/cpa" << EOF
+#!/bin/sh
+python2 "$pydir/cpa/cpa.py"
+EOF
+chmod 755 "$pkgdir/usr/bin/cpa"
+
+ mkdir -p "$pkgdir/$pydir"
+ cp -r cpa "$pkgdir/$pydir"
+
+ python2 -m compileall "$pkgdir/$pydir/cpa/" || return 0
+}
+